﻿<!---
================================================================
機能名：マスタデータ参照コンポーネント
概要　 ：各種マスタからデータを取得する
作成者：千葉　博胤
作成日：2009/10/01
================================================================
--->
<cfcomponent name="masterData"
		 displayname="マスタデータ参照コンポーネント"
		 hint="各種マスタからデータを取得する">

<!---
================================================================
機能　　：顧客マスタデータ取得
関数名　：getCustomer
引数　　：
戻り値	：query
================================================================
--->
<cffunction name="getCustomerMST" access="remote"
			displayname="顧客データ取得"
			hint="顧客マスタから全客のデータを取得する"
			output="false" returntype="query">

	<cfquery name="qGetCustomerMST" datasource="#Application.dsname#">
		SELECT *
		FROM M_CUSTOMER
		ORDER BY CUSTOMER_CD
	</cfquery>

	<cfreturn qGetCustomerMST>
</cffunction>

<!---
================================================================
機能　　：社員データ取得
関数名　：getEmployee
引数　　：
戻り値	：query
================================================================
--->
<cffunction name="getEmployeeMST" returntype="query" access="remote"
			displayname="顧客データ取得"
			hint="顧客マスタから全顧客のデータを取得する">

	<cfquery name="qGetEmployee" datasource="#Application.dsname#">
		SELECT *
		FROM M_EMPLOYEE
		ORDER BY EMPLOYEE_CD
	</cfquery>

	<cfreturn qGetEmployeeMST>
</cffunction>

<!---
================================================================
機能　　：営業データ取得
関数名　：getSalesMst
引数　　：busho_cd	 　　部署コード
戻り値	：query
================================================================
--->
<cffunction name="getSales" returntype="query"
			displayname="営業データ取得"
			hint="社員マスタから営業のデータのみを取得する">
	<cfargument name="department_cd" required="true" type="string" hint="部署コード（03）">

	<cfquery name="qGetSales" datasource="#Application.dsname#">
		SELECT EMPLOYEE_CD,EMPLOYEE_NM
		FROM M_EMPLOYEE
		WHERE
		DEPARTMENT_CD = '#Arguments.department_cd#'
		ORDER BY EMPLOYEE_CD
		</cfquery>

	<cfreturn qGetSales>
</cffunction>

<!---
================================================================
機能　　：技術者データ取得（営業以外）
関数名　：getEngineerMst
引数　　：busho_cd	 　　部署コード
戻り値	：query
================================================================
--->
<cffunction name="getEngineer" returntype="query"
			displayname="営業データ取得"
			hint="社員マスタから営業のデータのみを取得する">
	<cfargument name="department_cd" required="true" type="string" hint="部署コード（03）">

	<cfquery name="qGetEngineer" datasource="#Application.dsname#">
		SELECT EMPLOYEE_CD,EMPLOYEE_NM
		FROM M_EMPLOYEE
		WHERE
		DEPARTMENT_CD != '#Arguments.department_cd#'
		ORDER BY EMPLOYEE_CD
		</cfquery>

	<cfreturn qGetEngineer>
</cffunction>

<!---
================================================================
機能　　：状況データ取得
関数名　：getStatus
引数　　：
戻り値	：query
================================================================
--->
<cffunction name="getStatusMst" returntype="query"
			displayname="状況データ取得"
			hint="状況マスタから状況データを取得する">

	<cfquery name="qGetStatusMst" datasource="#Application.dsname#">
		SELECT STATUS_CD,STATUS_NM
		FROM M_STATUS
	</cfquery>

	<cfreturn qGetStatusMst>

</cffunction>

<!---
================================================================
機能　　：工程データ取得
関数名　：getProcesssMst
引数　　：
戻り値	：query
================================================================
--->
<cffunction name="getProcessMst" returntype="query"
			displayname="工程データ取得"
			hint="工程マスタから工程データを取得する">

	<cfquery name="qGetProcessMst" datasource="#Application.dsname#">
		SELECT PROCESS_CD,PROCESS
		FROM M_PROCESS
	</cfquery>

	<cfreturn qGetProcessMst>

</cffunction>

</cfcomponent>